# $Revision: 1.48 $, $Date: 2007/12/24 12:22:16 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Expect
%define		pnam	Expect
Summary:	Expect - Expect for Perl
Summary(pl.UTF-8):	Expect - Expect dla Perla
Name:		perl-Expect
Version:	1.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Expect/%{pnam}-%{version}.tar.gz
# Source0-md5:	a151b0dc4d1a35c73941c65b7c26da5b
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Expect/
BuildRequires:	perl-IO-Tty >= 1.03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Expect Perl module is a successor of Comm.pl and a descendent of
Chat.pl.  It more closely resembles the Tcl Expect language than its
predecessors.  It does not contain any of the networking code found in
Comm.pl.  I suspect this would be obsolete anyway given the advent of
IO::Socket and external tools such as netcat.

%description -l pl.UTF-8
Moduł Perla Expect jest następcą Comm.pl i potomkiem Chat.pl. Bardziej
przypomina on język Tcl Expect niż jego poprzednicy. Nie zawiera kodu
sieciowego, który był obecny w Comm.pl. Prawdopodobnie powinien być
uznany za przestarzały wraz z ukazaniem się IO::Socket i zewnętrznych
narzędzi, takich jak netcat.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Expect

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README tutorial
%{perl_vendorlib}/Expect.pm
%{perl_vendorlib}/Expect
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Expect.spec,v $
Revision 1.48  2007/12/24 12:22:16  qboosh
- generic URL

Revision 1.47  2007-12-23 23:21:59  zbyniu
- up to 1.21

Revision 1.46  2007-07-14 12:11:27  qboosh
- fixed bcond desc

Revision 1.45  2007/07/14 11:58:47  radek
- release 2: tests off (until the fucking builders are configured properly)

Revision 1.44  2007/07/12 19:21:11  radek
- version 1.20, include vendorlib/Expect for Expect::Simple

Revision 1.43  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.41  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.40  2006/06/01 06:54:34  blaass
- up to 1.17, deps fixed

Revision 1.39  2004/11/03 22:30:20  paladine
- formatting

Revision 1.38  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.37  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.36  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/24 23:49:53  ankry
- tests added

Revision 1.34  2004/04/20 08:33:11  ankry
- better summary/description, license fixes and unification

Revision 1.33  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.32  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:32:01  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/07/22 21:35:13  ankry
- translations, cleaning

Revision 1.23  2002/07/21 12:24:14  qboosh
- perl-IO-Stty is now optional
- removed *.pod from package
- release 2

Revision 1.22  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.21  2002/07/11 07:58:54  depesz
- new version; should work; STBR

Revision 1.20  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 22:28:36  marcus
- rel.3.

Revision 1.18  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/22 03:11:12  kloczek
- release 2.

Revision 1.16  2002/02/10 15:26:03  depesz
adapterized

Revision 1.15  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/18 11:11:43  mis
- autoupdated to 1.12

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:08:23  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/08 15:02:57  mis
- updated (by autoup) to 1.11

Revision 1.9  2001/02/19 13:46:10  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/02 11:00:58  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
